Authentication
API calls require a header field containing a valid API Token. API tokens can be created in the API Tokens tab within Multiplier's Configuration page.
After clicking the "Create New API Token" button and entering a name, you'll be able to see the value for the new token. Copy it, you won't be able to see it again.
For authenticating calls to the Multiplier API, a valid token should be passed in the authorization header field.
Listing all applications
You can retrieve a full catalog of your configured applications, including their UUID keys, categories, owners, and access types, using the command/list-applications endpoint. This is particularly useful when you need to programmatically reference application keys for other API calls.
Method: POST
URL: https://app.multiplierhq.com/command/list-applications
Note: If your Jira instance is hosted in the EU or APAC, use eu-central-1.app.multiplierhq.com or ap-southeast-2.app.multiplierhq.com respectively.
Header:
{ Authorization: <API TOKEN> }
Request Body:
{
"userEmail": "[email protected]"
}
userEmail (string, required): The email address of a valid Jira admin in your instance.
Returns:
A JSON array of all approved applications configured in your Multiplier catalog.
Example Request
curl -X POST https://app.multiplierhq.com/command/list-applications \ -H "Authorization: YOUR_API_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "userEmail": "[email protected]" }'Example Response
[
{
"name": "Tableau Cloud US",
"key": "7ab0f724-251b-499e-ad83-1f0e5394e5a1",
"category": "Data Services",
"tags": [
{
"label": "finance"
}
],
"owner": {
"name": "Jane Doe",
"email": "[email protected]",
"accountId": "712020:a1b2c3d4..."
},
"selfService": false,
"accessTypes": [
{
"label": "Viewer",
"key": "11c1128a-e3e5-4f6e-8213-dea5df2c0f59",
"approvers": [
{
"type": "owner",
"name": "Jane Doe",
"email": "[email protected]",
"accountId": "712020:a1b2c3d4..."
}
]
}
]
}
]
Requesting access to an application
Requesting access to an application can be done using the command/request-access endpoint.
Method: POST
URL: https://app.multiplierhq.com/command/request-access
Header:
{
Authorization: <API TOKEN>
}Request Body:
applicationKey(string, required):
The unique identifier for the application.accessTypeKey(string, required):
The unique identifier for the type of access being requested.accessTypeName(string, required):
The name or label for the type of access being requested.userEmail(string, required):
The email address of the user for whom access is being requested.
The applicationKey and accessTypeKey can be obtained from the Virtual Agent tab within each app's configuration in Multiplier.
Either the access type label (accessTypeName) or key (accessTypeKey) can be used to reference an access type in this call. Using the key is always recommended. See how to retrieve available access types here.
Example Request
curl -X POST https://app.multiplierhq.com/command/request-access \
-H "Authorization: YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"applicationKey": "00000000-0000-0000-0000-000000031950",
"accessTypeKey": "00000000-0000-0000-0000-000000064234",
"userEmail": "[email protected]"
}'
Example Response
{
"url": "https://your-instance.atlassian.net/servicedesk/customer/portal/1/YGA-235",
"key": "YGA-235"
}
Getting access types for an application
Access types for an application can be retrieved calling the command/get-access-types endpoint.
Method: POST
URL: https://app.multiplierhq.com/command/get-acces-types
Header:
{
Authorization: <API TOKEN>
}Request Body:
applicationKey(string, required):
The unique identifier for the application.userEmail(string, required):
The email address of the user for whom access will be requested.
Returns:
A list of the access types for the give application Key. Error code 404 if the application or the user can't be found.
Example Request
curl -X POST https://app.multiplierhq.com/command/get-access-types \
-H "Authorization: YOUR_API_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"applicationKey": "00000000-0000-0000-0000-000000031950",
"userEmail": "[email protected]"
}'
Example Response
[
{
"label": "Regular",
"key": "b6e4620a-760e-4d99-bce2-a9fff22728d4"
},
{
"label": "Admin",
"key": "a42a063a-fde2-4b79-a342-2c4bdfffa746"
}
]


